---------------------
PatchSet 1398 
Date: 2005/05/22 07:57:31
Author: serassio
Branch: nt
Tag: (none) 
Log:
Added digest_pw_auth helper

Members: 
	port/win32/Makefile.am:1.2.18.11->1.2.18.12 
	port/win32/digest_pw_auth/.cvsignore:1.1->1.1.2.1 
	port/win32/digest_pw_auth/digest_pw_auth.vcproj:1.1->1.1.2.1 

Index: squid3/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/Makefile.am,v
retrieving revision 1.2.18.11
retrieving revision 1.2.18.12
diff -u -r1.2.18.11 -r1.2.18.12
--- squid3/port/win32/Makefile.am	1 Jan 2005 21:58:58 -0000	1.2.18.11
+++ squid3/port/win32/Makefile.am	22 May 2005 07:57:31 -0000	1.2.18.12
@@ -1,12 +1,13 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.2.18.11 2005/01/01 21:58:58 serassio Exp $
+# $Id: Makefile.am,v 1.2.18.12 2005/05/22 07:57:31 serassio Exp $
 #
 
 EXTRA_DIST = \
 	Build.vcproj \
 	cf_data.vcproj \
 	default_config_file.cmd \
+	digest_pw_auth/digest_pw_auth.vcproj \
 	icons.vcproj \
 	install.vcproj \
 	modules.vcproj \
@@ -30,7 +31,7 @@
 	LDAP_auth/LDAP_auth.vcproj \
 	LDAP_group/LDAP_group.vcproj \
 	libbasic/libbasic.vcproj \
-    libBlocking/libBlocking.vcproj \
+	libBlocking/libBlocking.vcproj \
 	libc/libc.vcproj \
 	libcc/libcc.vcproj \
 	libcoss/libcoss.vcproj \
@@ -46,8 +47,8 @@
 	libsspwin32/libsspwin32.vcproj \
 	libtrie/libtrie.vcproj \
 	libufs/libufs.vcproj \
-    libWinAIO/libWinAIO.vcproj \
-    libWinDiskThreads/libWinDiskThreads.vcproj \
+	libWinAIO/libWinAIO.vcproj \
+	libWinDiskThreads/libWinDiskThreads.vcproj \
 	NCSA_auth/NCSA_auth.vcproj \
 	nt_auth/nt_auth.vcproj \
 	ntlm_win32_auth/ntlm_win32_auth.vcproj \
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/digest_pw_auth/.cvsignore	Wed Feb 14 13:34:43 2007
@@ -0,0 +1,4 @@
+.cvsignore
+Debug
+Release
+*.user
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/digest_pw_auth/digest_pw_auth.vcproj	Wed Feb 14 13:34:43 2007
@@ -0,0 +1,221 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="digest_pw_auth"
+	ProjectGUID="{A42166DB-7B36-4757-9987-20630AF9A15A}"
+	RootNamespace="digest_pw_auth"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="Debug"
+			IntermediateDirectory="Debug"
+			ConfigurationType="1"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="4"
+				CompileAs="0"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="ws2_32.lib Wldap32.lib psapi.lib ssleay32.lib libeay32.lib"
+				LinkIncremental="2"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="Release"
+			IntermediateDirectory="Release"
+			ConfigurationType="1"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
+				RuntimeLibrary="0"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="3"
+				CompileAs="0"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="ws2_32.lib Wldap32.lib psapi.lib ssleay32.lib libeay32.lib"
+				LinkIncremental="1"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\digest_pw_auth.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\ldap_backend.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\text_backend.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\digest_common.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\ldap_backend.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\helpers\digest_auth\password\text_backend.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
